Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io
Class CAConverter

    java.lang.Object
      org.biojava.bio.structure.io.CAConverter

    public class CAConverter

extends Object

Converts full atom representations to Calpha only ones.

Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`CAConverter()`

Method Summary
`static Chain` | `getCAOnly(Chain chain)` Convert a Chain to a new Chain containing C-alpha atoms only.
`static List<Chain>` | `getCAOnly(List<Chain> chains)` Convert a List of chain objects to another List of chains, containing C-alpha atoms only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CAConverter

    public CAConverter()

Method Detail

### getCAOnly

    public static List<Chain> getCAOnly(List<Chain> chains)

  Convert a List of chain objects to another List of chains, containing C-alpha atoms only.

  Parameters:
    `chains` - list of chains
  Returns:
    a list of chains

### getCAOnly

    public static Chain getCAOnly(Chain chain)

  Convert a Chain to a new Chain containing C-alpha atoms only.

  Parameters:
    `chain` - to convert
  Returns:
    a new chain containing Amino acids with C-alpha only.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD